/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.entity;

import lombok.AccessLevel;
import lombok.Builder;
import lombok.Data;
import lombok.Singular;
import lombok.experimental.FieldDefaults;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;
import java.util.List;

/**
 * 装备词条库
 *
 * @author 唐斌
 * @date 2023-07-26
 */
@Data
@Document
@FieldDefaults(level = AccessLevel.PRIVATE)
public class EquipEntryTemplate {
    @Id
    String id;
    /** 名称 */
    String name;
    /** 编号 */
    String code;
    /** 描述 */
    String description;
    /** 出现权重 */
    int prizeWeight;
    /** 支持装备部位 */
    List<String> positionList;
    /** 同一批随机最多出现次数 */
    int prizeAmount;
    /** 装备属性 */
//    @Singular(value = "entryProperty")
    List<EquipEntryProperty> entryPropertyList;
}
