/*
 * ioGame
 * Copyright (C) 2021 - 2023  渔民小镇 （262610965@qq.com、luoyizhu@gmail.com） . All Rights Reserved.
 * # iohao.com . 渔民小镇
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package com.iohao.mmo.equip.entity;

import lombok.AccessLevel;
import lombok.Data;
import lombok.experimental.FieldDefaults;
import org.springframework.data.mongodb.core.mapping.Document;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 装备额外属性统计（装备基础属性以外的属性）
 * <pre>
 *     装备的基本属性
 * </pre>
 *
 * @author 唐斌
 * @date 2023-07-24
 */
@Data
@Document
@FieldDefaults(level = AccessLevel.PRIVATE)
public class EquipPropertyElse {
    /** 根骨 */
    int rootBone;
    /** 精力 */
    int energy;
    /** 力量 */
    int power;
    /** 智力 */
    int intelligence;
    /** 敏捷 */
    int agile;
    /** 幸运 */
    int lucky;

    /** 最小物理攻击百分比 */
    BigDecimal physicsAttackMinPct;
    /** 最大物理攻击百分比 */
    BigDecimal physicsAttackMaxPct;
    /** 最小法术攻击百分比 */
    BigDecimal magicAttackMinPct;
    /** 最大法术攻击百分比 */
    BigDecimal magicAttackMaxPct;
    /** 是否不能打孔 */
    boolean bndkFlag = false;
    /** 是否不可修复 */
    boolean bkxfFlag = false;

    /** 技能等级 */
    Map<String,Integer> skillLevel = new HashMap<>();
}
