package com.iohao.mmo.equip.enums;

/**
 * 装备属性枚举类
 */
public enum PropertyNameEnum {
    HP("最大气血","hp"),
    MP("最大法力","mp"),
    HPBFB("最大气血百分比","hpbfb"),
    MPBFB("最大法力百分比","mpbfb"),
    GENGU("根骨","gengu"),
    JINGLI("精力","jingli"),
    LILIANG("力量","liliang"),
    ZHILI("智力","zhili"),
    MINJIE("敏捷","minjie"),
    XINGYUN("幸运","xingyun"),
    ZDWLGJBFB("最大物理攻击百分比","zdwlgjbfb"),
    ZXWLGJBFB("最小物理攻击百分比","zxwlgjbfb"),
    ZDFSGJBFB("最大法术攻击百分比","zdfsgjbfb"),
    ZXFSGJBFB("最小法术攻击百分比","zxfsgjbfb"),
    BNDK("不能打孔","bndk"),
    BKXF("不可修复","bkxf"),
    SZZF("神之祝福","szzf"),
    WLGJ("物理攻击","wlgj"),
    FSGJ("法术攻击","fsgj"),
    WLGJSD("物理攻击速度","wlgjsd"),
    FSGJSD("法术攻击速度","fsgjsd"),
    WLFY("物理防御","wlfy"),
    FSFY("法术防御","fsfy"),
    WLMZ("物理命中","wlmz"),
    FSMZ("法术命中","fsmz"),
    WLSB("物理躲避","wldb"),
    FSSB("法术躲避","fsdb"),
    ZBPDXQDJ("装备佩戴需求等级","zbpdxqdj"),
    SKILL_SL_10("少林10级技能","skill_sl_10"),
    SKILL_SL_20("少林20级技能","skill_sl_20"),
    SKILL_SL_30("少林30级技能","skill_sl_30"),
    SKILL_GM_10("古墓10级技能","skill_gm_10"),
    SKILL_GM_20("古墓20级技能","skill_gm_20"),
    SKILL_GM_30("古墓30级技能","skill_gm_30"),
    SKILL_GB_10("丐帮10级技能","skill_gb_10"),
    SKILL_GB_20("丐帮20级技能","skill_gb_20"),
    SKILL_GB_30("丐帮30级技能","skill_gb_30"),
    SKILL_HS_10("华山10级技能","skill_hs_10"),
    SKILL_HS_20("华山20级技能","skill_hs_20"),
    SKILL_HS_30("华山30级技能","skill_hs_30"),
    SKILL_KL_10("昆仑10级技能","skill_kl_10"),
    SKILL_KL_20("昆仑20级技能","skill_kl_20"),
    SKILL_KL_30("昆仑30级技能","skill_kl_30");
    private String name;
    private String code;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    private PropertyNameEnum(String name,String code){
        this.name = name;
        this.code = code;
    }

    @Override
    public String toString(){
        return this.name + "-" + this.code;
    }

    public static PropertyNameEnum getByCode(String code){
        for(PropertyNameEnum propertyNameEnum : PropertyNameEnum.values()){
            if(propertyNameEnum.getCode().equals(code))            {
                return propertyNameEnum;
            }
        }
        return null;
    }
}
