package com.iohao.mmo.excel.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;
import java.math.BigDecimal;

/**
 * 装备词条Excel
 *
 * @author Toby javatangbin@163.com
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class EquipEntryTemplateExcelDTO {
    @ColumnWidth(20)
    @ExcelProperty(value ="名称",index = 0)
    private String name;

    @ExcelProperty(value ="编号",index = 1)
    private String code;

    @ColumnWidth(20)
    @ExcelProperty(value = "描述",index = 2)
    private String description;

    @ExcelProperty(value = "出现权重",index = 3)
    private int prizeWeight;

    @ColumnWidth(20)
    @ExcelProperty(value = "装备部位",index = 4)
    private String positionStrs;

    @ExcelProperty(value = "最大次数",index = 5)
    private int prizeAmount;

    @ExcelProperty(value = {"装备属性","等级最小值"},index = 6)
    private int levelMin;

    @ExcelProperty(value = {"装备属性","等级最大值"},index = 7)
    private int levelMax;

    @ExcelProperty(value = {"装备属性","属性计算方式"},index = 8)
    private int countType;

    @ExcelProperty(value = {"装备属性","显示方式"},index = 9)
    private int showType;

    @ExcelProperty(value = {"装备属性","影响属性"},index = 10)
    private String effectPropertyName;

    @ExcelProperty(value = {"装备属性","属性范围最小值"},index = 11)
    private BigDecimal propertyValueMin;

    @ExcelProperty(value = {"装备属性","属性范围最大值"},index = 12)
    private BigDecimal propertyValueMax;


}
