package com.iohao.mmo.excel.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.iohao.mmo.excel.dto.converter.PositionConverter;
import com.iohao.mmo.excel.dto.converter.QualityConverter;
import com.iohao.mmo.excel.dto.converter.StatusConverter;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 装备词条Excel
 *
 * @author Toby javatangbin@163.com
 */
@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(25)
public class EquipTemplateExcelDTO {
    @ColumnWidth(20)
    @ExcelProperty(value ="itemTypeId",index = 0)
    private String itemTypeId;

    @ExcelProperty(value ="部位",index = 1, converter = PositionConverter.class)
    private String position;

    @ColumnWidth(20)
    @ExcelProperty(value = "要求等级",index = 2)
    private int level;

    @ExcelProperty(value = "品质",index = 3, converter = QualityConverter.class)
    private String quality;

    @ColumnWidth(20)
    @ExcelProperty(value = "耐久度",index = 4)
    private int durability;

    @ColumnWidth(20)
    @ExcelProperty(value = "出现权重",index = 5)
    private int prizeWeight;

    @ColumnWidth(20)
    @ExcelProperty(value = "初始数量",index = 6)
    private Integer initCount;

    @ExcelProperty(value = {"装备基础属性范围","物理攻击最小值"},index = 7)
    private int physicsAttackMin;

    @ExcelProperty(value = {"装备基础属性范围","物理攻击最大值"},index = 8)
    private int physicsAttackMax;

    @ExcelProperty(value = {"装备基础属性范围","法术攻击最小值"},index = 9)
    private int magicAttackMin;

    @ExcelProperty(value = {"装备基础属性范围","法术攻击最大值"},index = 10)
    private int magicAttackMax;

    @ExcelProperty(value = {"装备基础属性范围","物理攻击速度"},index = 11)
    private double physicsAttackSpeed;

    @ExcelProperty(value = {"装备基础属性范围","法术攻击速度"},index = 12)
    private double magicAttackSpeed;

    @ExcelProperty(value = {"装备基础属性范围","物理防御"},index = 13)
    private int physicsDefense;

    @ExcelProperty(value = {"装备基础属性范围","法术防御"},index = 14)
    private int magicDefense;

    @ExcelProperty(value = {"装备基础属性范围","物理命中"},index = 15)
    private int physicsHit;

    @ExcelProperty(value = {"装备基础属性范围","法术命中"},index = 16)
    private int magicHit;

    @ExcelProperty(value = {"装备基础属性范围","物理躲避"},index = 17)
    private int physicsDodge;

    @ExcelProperty(value = {"装备基础属性范围","法术躲避"},index = 18)
    private int magicDodge;

    @ExcelProperty(value = {"装备基础属性范围","生命值"},index = 19)
    private int hp;

    @ExcelProperty(value = {"装备基础属性范围","能量值"},index = 20)
    private int mp;

    @ExcelProperty(value = {"装备固定属性","最小条数"},index = 21)
    private int equipPropertyFixedMin;

    @ExcelProperty(value = {"装备固定属性","最大条数"},index = 22)
    private int equipPropertyFixedMax;

    @ExcelProperty(value = {"装备固定属性","属性编码"},index = 23)
    private String codes;

    @ExcelProperty(value = {"装备随机属性","最小条数"},index = 24)
    private int equipPropertyRandomMin;

    @ExcelProperty(value = {"装备随机属性","最大条数"},index = 25)
    private int equipPropertyRandomMax;


}
