package com.iohao.mmo.excel.dto.converter;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.data.ReadCellData;
import com.alibaba.excel.metadata.data.WriteCellData;
import com.alibaba.excel.metadata.property.ExcelContentProperty;

public class PositionConverter implements Converter<String> {
    @Override
    public Class<String> supportJavaTypeKey() {
        return String.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    @Override
    public String convertToJavaData(ReadCellData<?> cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) {
        String cellValue = cellData.getStringValue();
        if(cellValue.equals("武器")){
            return "wuqi";
        }else if(cellValue.equals("帽子")){
            return "maozi";
        }else if(cellValue.equals("衣服")){
            return "yifu";
        }else if(cellValue.equals("裤子")){
            return "kuzi";
        }else if(cellValue.equals("鞋子")){
            return "xiezi";
        }else if(cellValue.equals("护腕")){
            return "huwan";
        }else if(cellValue.equals("项链")){
            return "xianglian";
        }else if(cellValue.equals("手镯")){
            return "shouzhuo";
        }else if(cellValue.equals("戒指")){
            return "jiezhi";
        }else if(cellValue.equals("腰佩")){
            return "yaopei";
        }else {
            return "-";
        }
    }

    @Override
    public WriteCellData<?> convertToExcelData(String value, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) {
        if(value.equals("wuqi")){
            return new WriteCellData<>("武器");
        }else if(value.equals("maozi")){
            return new WriteCellData<>("帽子");
        }else if(value.equals("yifu")){
            return new WriteCellData<>("衣服");
        }else if(value.equals("kuzi")){
            return new WriteCellData<>("裤子");
        }else if(value.equals("xiezi")){
            return new WriteCellData<>("鞋子");
        }else if(value.equals("huwan")){
            return new WriteCellData<>("护腕");
        }else if(value.equals("xianglian")){
            return new WriteCellData<>("项链");
        }else if(value.equals("shouzhuo")){
            return new WriteCellData<>("手镯");
        }else if(value.equals("jiezhi")){
            return new WriteCellData<>("戒指");
        }else if(value.equals("yaopei")){
            return new WriteCellData<>("腰佩");
        }else {
            return new WriteCellData<>("-");
        }
    }
}
