package com.iohao.mmo.excel.dto.converter;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;
import com.alibaba.excel.metadata.GlobalConfiguration;
import com.alibaba.excel.metadata.data.ReadCellData;
import com.alibaba.excel.metadata.data.WriteCellData;
import com.alibaba.excel.metadata.property.ExcelContentProperty;

public class QualityConverter implements Converter<String> {
    @Override
    public Class<String> supportJavaTypeKey() {
        return String.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

    @Override
    public String convertToJavaData(ReadCellData<?> cellData, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) {
        String cellValue = cellData.getStringValue();
        if(cellValue.equals("白")){
            return "white";
        }else if(cellValue.equals("黄")){
            return "yellow";
        }else if(cellValue.equals("绿")){
            return "green";
        }else if(cellValue.equals("蓝")){
            return "blue";
        }else if(cellValue.equals("红")){
            return "red";
        }else if(cellValue.equals("紫")){
            return "purple";
        }else if(cellValue.equals("鬼")){
            return "ghost";
        }else {
            return "-";
        }
    }

    @Override
    public WriteCellData<?> convertToExcelData(String value, ExcelContentProperty contentProperty, GlobalConfiguration globalConfiguration) {
        if(value.equals("white")){
            return new WriteCellData<>("白");
        }else if(value.equals("yellow")){
            return new WriteCellData<>("黄");
        }else if(value.equals("green")){
            return new WriteCellData<>("绿");
        }else if(value.equals("blue")){
            return new WriteCellData<>("蓝");
        }else if(value.equals("red")){
            return new WriteCellData<>("红");
        }else if(value.equals("purple")){
            return new WriteCellData<>("紫");
        }else if(value.equals("ghost")){
            return new WriteCellData<>("鬼");
        }else {
            return new WriteCellData<>("-");
        }
    }
}
