package com.iohao.mmo.excel.kit;

import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;

@SuppressWarnings("unchecked")
public class GenericsKit {

    /**
     * 通过反射，获得定义Class时声明的父类的泛型参数的类型
     * @param clazz
     * @return
     */
    public static Class getSuperClassGenericType(Class clazz) {

        return getSuperClassGenricType(clazz, 0);

    }

    /**
     * 通过反射，获得定义Class声明的父类的泛型参数的类型
     * @param clazz
     * @param index
     * @return
     */
    public static Class getSuperClassGenricType(Class clazz, int index) {

        Type genType = clazz.getGenericSuperclass();

        if (!(genType instanceof ParameterizedType)) {

            return Object.class;

        }

        Type[] params = ((ParameterizedType) genType).getActualTypeArguments();

        if (index >= params.length || index < 0) {

            return Object.class;

        }

        if (!(params[index] instanceof Class)) {

            return Object.class;

        }

        return (Class) params[index];

    }
}
