package com.iohao.mmo.excel.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.iohao.mmo.equip.entity.EquipEntry;
import com.iohao.mmo.equip.entity.EquipTemplate;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;


/**
 * 装备模板Excel
 *
 * @author 唐斌
 * @date 2023-08-30
 * @description: 装备词条Excel
 */
public interface EquipTemplateExcelService extends BaseService<EquipTemplate>{

    @Transactional(rollbackFor = Exception.class)
    void updateBatch(List<EquipTemplate> entityList) throws JsonProcessingException;

    EquipEntry entryByCode(int level, String code);

    List<EquipEntry> randomEntryBatch(int level, String position, int count);
}
